Bug 441706 - failure to resize lvm logical volume on raid
failure to resize lvm logical volume on raid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-04-09 12:10 EDT by Jesse Keating
Modified: 2013-01-09 22:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 19:52:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump (87.06 KB, text/plain)
2008-04-09 12:10 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2008-04-09 12:10:29 EDT
I had a LVM volume group on top of a mdraid set.  Upon installation I tried to
resize one of the logical volumes within the group to something slightly bigger
(plenty of room within the VG).  I got a traceback saying that /dev/VolGroup00
doesn't exist.  Tracekback will be attached.
Comment 1 Jesse Keating 2008-04-09 12:10:29 EDT
Created attachment 301836 [details]
Anaconda dump
Comment 2 Jeremy Katz 2008-04-17 12:51:54 EDT
I just successfully did a resize of a logical volume.  So this might be limited
to lvm on mdraid.  Let's see how that does...
Comment 3 Jeremy Katz 2008-04-18 10:58:51 EDT
Yep, limited to just resizing lvs on top of RAID

To fix this, we need to clean up when we do activations of RAID and that's a
little bit scary to do at this point in time.  I have made it so that it doesn't
traceback at least.  Will bump the rest to F10
Comment 4 Bug Zapper 2008-05-14 05:12:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeremy Katz 2008-05-28 16:28:53 EDT
Fixed in git
Comment 6 Jesse Keating 2008-10-03 19:05:29 EDT
I'll re-test this and close if appropriate.  Setting needinfo of me so that I don't forget (given that I don't have a machine suitable for mdraid at the moment to play with)
Comment 7 Jesse Keating 2008-10-24 19:52:37 EDT
So I can grow LVM LVs now.  There was an issue trying to shrink one and I've filed that as a new bug.  This one I'm closing.

Note You need to log in before you can comment on or make changes to this bug.